> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List products



## OpenAPI

````yaml /swagger/openapi.json get /products
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /products:
    get:
      summary: List products
      operationId: ProductsList
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: query
          name: limit
          required: false
          description: Maximum number of items to return
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 20
        - in: query
          name: cursor
          required: false
          description: Cursor for pagination
          schema:
            type: string
        - in: query
          name: filter[name]
          x-go-name: FilterName
          required: false
          description: Filter by product name (partial match)
          schema:
            type: string
        - in: query
          name: filter[platform]
          x-go-name: FilterPlatform
          required: false
          description: Filter by platform
          schema:
            type: string
            enum:
              - stripe
              - paypal
              - paddle
              - braintree
              - solidgate
        - in: query
          name: filter[status]
          x-go-name: FilterStatus
          required: false
          description: Filter by status
          schema:
            type: string
            enum:
              - active
              - archived
            default: active
      responses:
        '200':
          description: Products list
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                  - pagination
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                        - external_id
                        - name
                        - platform
                        - status
                        - created_at
                      properties:
                        id:
                          type: string
                          minLength: 26
                          maxLength: 26
                          x-go-name: ID
                        external_id:
                          x-go-name: ExternalID
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        platform:
                          type: string
                        status:
                          type: string
                          enum:
                            - active
                            - archived
                        pricing_summary:
                          type: string
                          description: Brief pricing summary like "$9.99" or "3 prices"
                        created_at:
                          type: string
                          format: date-time
                  pagination:
                    type: object
                    required:
                      - has_more
                    properties:
                      total:
                        type: integer
                        description: Total count of items
                      has_more:
                        type: boolean
                        description: Whether there are more items available
                      next_cursor:
                        type: string
                        description: Cursor for next page
                  next_cursor:
                    type: string
                    description: Cursor for next page
        '400':
          description: Request error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````